# $Revision: 1.19 $, $Date: 2007/10/21 13:55:08 $
Summary:	Fixed bitmap fonts
Summary(pl.UTF-8):	Fonty bitmapowe o stałej szerokości
Name:		xorg-font-font-misc-misc
Version:	1.0.0
Release:	5
License:	Public Domain
Group:		Fonts
Source0:	http://xorg.freedesktop.org/releases/individual/font/font-misc-misc-%{version}.tar.bz2
# Source0-md5:	2a57f6188c41d4bc1b88ca3d08ad011d
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	perl-base
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-app-bdftopcf
BuildRequires:	xorg-app-mkfontdir
BuildRequires:	xorg-app-mkfontscale
BuildRequires:	xorg-font-font-util >= 0.99.2
BuildRequires:	xorg-util-util-macros
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.1-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fixed bitmap fonts. Main package contains Unicode fonts, KOI8-R fonts,
Japanese k14 font and nil2 font.

%description -l pl.UTF-8
Fonty bitmapowe o stałej szerokości znaków (fixed). Główny pakiet
zawiera fonty unikodowe, fonty w kodowaniu KOI8-R, japoński font k14 i
font nil2.

%package base
Summary:	Base font (fixed)
Summary(pl.UTF-8):	Podstawowy font (fixed)
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires(triggerpostun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.1-1
Obsoletes:	XFree86-fonts-base <= 1:7.0.0

%description base
Base font (fixed) needed to start X server.

%description base -l pl.UTF-8
Podstawowy font (fixed) niezbędny do uruchomienia serwera X.

%package ISO8859-1
Summary:	ISO-8859-1 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-1
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
# contains useful aliases for these fonts
Requires:	xorg-font-font-alias >= 1.0.1-1
Requires:	%{name}-base = %{version}-%{release}
Obsoletes:	XFree86-fonts-ISO8859-1 < 1:7.0.0

%description ISO8859-1
ISO-8859-1 basic raster fonts.

%description ISO8859-1 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-1.

%package ISO8859-2
Summary:	ISO-8859-2 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-2
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-2 < 1:7.0.0

%description ISO8859-2
ISO-8859-2 basic raster fonts.

%description ISO8859-2 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-2.

%package ISO8859-3
Summary:	ISO-8859-3 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-3
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-3 < 1:7.0.0

%description ISO8859-3
ISO-8859-3 basic raster fonts.

%description ISO8859-3 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-3.

%package ISO8859-4
Summary:	ISO-8859-4 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-4
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-4 < 1:7.0.0

%description ISO8859-4
ISO-8859-4 basic raster fonts.

%description ISO8859-4 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-4.

%package ISO8859-5
Summary:	ISO-8859-5 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-5
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-5 < 1:7.0.0

%description ISO8859-5
Basic ISO-8859-5 raster fonts.

%description ISO8859-5 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-5.

%package ISO8859-7
Summary:	ISO-8859-7 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-7
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-7 < 1:7.0.0

%description ISO8859-7
ISO-8859-7 basic raster fonts.

%description ISO8859-7 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-7.

%package ISO8859-8
Summary:	ISO-8859-8 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-8
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-8 < 1:7.0.0

%description ISO8859-8
ISO-8859-8 basic raster fonts.

%description ISO8859-8 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-8.

%package ISO8859-9
Summary:	ISO-8859-9 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-9
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-9 < 1:7.0.0

%description ISO8859-9
ISO-8859-9 basic raster fonts.

%description ISO8859-9 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-9.

%package ISO8859-10
Summary:	ISO-8859-10 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-10
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-10 < 1:7.0.0

%description ISO8859-10
ISO-8859-10 basic raster fonts.

%description ISO8859-10 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-10.

%package ISO8859-11
Summary:	ISO-8859-11 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-11
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-11 < 1:7.0.0

%description ISO8859-11
ISO-8859-11 basic raster fonts.

%description ISO8859-11 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-11.

%package ISO8859-13
Summary:	ISO-8859-13 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-13
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-13 < 1:7.0.0

%description ISO8859-13
ISO-8859-13 basic raster fonts.

%description ISO8859-13 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-13.

%package ISO8859-14
Summary:	ISO-8859-14 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-14
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-14 < 1:7.0.0

%description ISO8859-14
ISO-8859-14 basic raster fonts.

%description ISO8859-14 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-14.

%package ISO8859-15
Summary:	ISO-8859-15 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-15
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-15 < 1:7.0.0

%description ISO8859-15
ISO-8859-15 basic raster fonts.

%description ISO8859-15 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-15.

%package ISO8859-16
Summary:	ISO-8859-16 basic raster fonts
Summary(pl.UTF-8):	Podstawowe fonty rastrowe ISO-8859-16
Group:		Fonts
Requires(post,postun):	fontpostinst
Requires:	%{_fontsdir}/misc
Requires:	fontpostinst
Obsoletes:	XFree86-fonts-ISO8859-16 < 1:7.0.0

%description ISO8859-16
ISO-8859-16 basic raster fonts.

%description ISO8859-16 -l pl.UTF-8
Podstawowe fonty rastrowe ISO-8859-16.

%prep
%setup -q -n font-misc-misc-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-fontdir=%{_fontsdir}/misc

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
fontpostinst misc

%postun
fontpostinst misc

%post base
fontpostinst misc

%postun base
fontpostinst misc

%post ISO8859-1
fontpostinst misc

%postun ISO8859-1
fontpostinst misc

%post ISO8859-2
fontpostinst misc

%postun ISO8859-2
fontpostinst misc

%post ISO8859-3
fontpostinst misc

%postun ISO8859-3
fontpostinst misc

%post ISO8859-4
fontpostinst misc

%postun ISO8859-4
fontpostinst misc

%post ISO8859-5
fontpostinst misc

%postun ISO8859-5
fontpostinst misc

%post ISO8859-7
fontpostinst misc

%postun ISO8859-7
fontpostinst misc

%post ISO8859-8
fontpostinst misc

%postun ISO8859-8
fontpostinst misc

%post ISO8859-9
fontpostinst misc

%postun ISO8859-9
fontpostinst misc

%post ISO8859-10
fontpostinst misc

%postun ISO8859-10
fontpostinst misc

%post ISO8859-11
fontpostinst misc

%postun ISO8859-11
fontpostinst misc

%post ISO8859-13
fontpostinst misc

%postun ISO8859-13
fontpostinst misc

%post ISO8859-14
fontpostinst misc

%postun ISO8859-14
fontpostinst misc

%post ISO8859-15
fontpostinst misc

%postun ISO8859-15
fontpostinst misc

%post ISO8859-16
fontpostinst misc

%postun ISO8859-16
fontpostinst misc

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog
%{_fontsdir}/misc/*.pcf.gz
%exclude %{_fontsdir}/misc/*-ISO8859-*.pcf.gz

%files base
%defattr(644,root,root,755)
%{_fontsdir}/misc/6x13-ISO8859-1.pcf.gz
%ghost %{_fontsdir}/misc/fonts.dir

%files ISO8859-1
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-1.pcf.gz
%exclude %{_fontsdir}/misc/6x13-ISO8859-1.pcf.gz

%files ISO8859-2
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-2.pcf.gz

%files ISO8859-3
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-3.pcf.gz

%files ISO8859-4
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-4.pcf.gz

%files ISO8859-5
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-5.pcf.gz

%files ISO8859-7
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-7.pcf.gz

%files ISO8859-8
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-8.pcf.gz

%files ISO8859-9
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-9.pcf.gz

%files ISO8859-10
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-10.pcf.gz

%files ISO8859-11
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-11.pcf.gz

%files ISO8859-13
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-13.pcf.gz

%files ISO8859-14
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-14.pcf.gz

%files ISO8859-15
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-15.pcf.gz

%files ISO8859-16
%defattr(644,root,root,755)
%{_fontsdir}/misc/*ISO8859-16.pcf.gz

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: xorg-font-font-misc-misc.spec,v $
Revision 1.19  2007/10/21 13:55:08  megabajt
- BA: noarch
- release 5

Revision 1.18  2007/05/01 15:22:39  qboosh
- require font-alias with fontpostinst support

Revision 1.17  2007/04/30 17:25:01  qboosh
- mention KOI8-R fonts in main package

Revision 1.16  2007/04/30 17:04:03  qboosh
- release 4

Revision 1.15  2007/04/30 17:03:28  qboosh
- cleanup (ISO8859-6 or ISO8859-12 fonts never existed in XFree86/Xorg)
- R: font-alias where it provides some useful aliases;
  thus removed custom alias file from -base (entry included in font-alias)
- -ISO8859-1 R: -base ("fixed" is one of ISO8859-1 fonts)

Revision 1.14  2007/02/20 11:28:06  arekm
- rebuild

Revision 1.13  2007/02/12 22:09:24  glen
- tabs in preamble

Revision 1.12  2007/02/12 01:06:40  baggins
- converted to UTF-8

Revision 1.11  2007/01/12 23:23:11  arekm
- rel 2; rebuild

Revision 1.10  2007/01/06 23:35:29  arekm
- rel 1; obsolete only AC X11

Revision 1.9  2006/02/28 12:09:35  wrobell
- added fixed font to base subpackage

Revision 1.8  2006/02/18 11:16:12  qboosh
- proper encoding

Revision 1.7  2006/02/13 18:26:46  wrobell
- fonts separated using X11-fonts.spec

Revision 1.6  2006/01/04 11:27:47  qboosh
- 1.0.0 (X11R7.0 release)

Revision 1.5  2005/12/05 20:02:38  qboosh
- 0.99.2 (X11R7.0-RC3)
- font license is Public Domain
- use system fonts infrastructure

Revision 1.4  2005/10/22 17:59:03  qboosh
- pkgconfig epoch

Revision 1.3  2005/08/27 18:42:17  qboosh
- cleanups, better Group; TODO: use PLD fonts infrastructure

Revision 1.2  2005/08/27 17:42:48  wiget
- s/pkg-config/pkgconfig/ in BR:

Revision 1.1  2005/08/15 12:17:57  arekm
- new try
- all xorg files prefixed with xorg-kind_of_package where kind of package can be seen at http://xorg.freedesktop.org/X11R7.0-RC0/

Revision 1.1  2005/08/14 22:46:41  arekm
- modular xorg specs

* Tue Aug  9 2005 15:10:45  Tomasz Trojanowski  <trojan@pld-freebsd.org>
- initial release
